RDKit::AtomEnvironment< OutputType > Class Template Referenceabstract

abstract base class that holds atom-environments that will be hashed to generate the fingerprint More...

`#include <FingerprintGenerator.h>`

Inheritance diagram for RDKit::AtomEnvironment< OutputType >:

## Public Member Functions

virtual OutputType | getBitId (FingerprintArguments< OutputType > *arguments, const std::vector< std::uint32_t > *atomInvariants, const std::vector< std::uint32_t > *bondInvariants, const AdditionalOutput *AdditionalOutput, const bool hashResults=false, const std::uint64_t fpSize=0) const =0
| calculates and returns the bit id to be set for this atom-environment More...
virtual | ~AtomEnvironment ()

## Detailed Description

### template<typename OutputType>
class RDKit::AtomEnvironment< OutputType >

abstract base class that holds atom-environments that will be hashed to generate the fingerprint

Definition at line 124 of file FingerprintGenerator.h.

## Constructor & Destructor Documentation

## ~AtomEnvironment()

template<typename OutputType >

virtual RDKit::AtomEnvironment< OutputType >::~AtomEnvironment | ( |  | ) |

inline virtual

Definition at line 144 of file FingerprintGenerator.h.

## Member Function Documentation

## getBitId()

template<typename OutputType >

virtual OutputType RDKit::AtomEnvironment< OutputType >::getBitId | ( | FingerprintArguments< OutputType > * | arguments,
|  | const std::vector< std::uint32_t > * | atomInvariants,
|  | const std::vector< std::uint32_t > * | bondInvariants,
|  | const AdditionalOutput * | AdditionalOutput,
|  | const bool | hashResults = `false`,
|  | const std::uint64_t | fpSize = `0`
| ) |  | const

pure virtual

calculates and returns the bit id to be set for this atom-environment

Parameters

  arguments | Fingerprinting type specific molecule independent arguments
  atomInvariants | Atom-invariants to be used during hashing
  bondInvariants | Bond-invariants to be used during hashing
  hashResults | if set results will be ready to be modded

Returns
  OutputType calculated bit id for this environment

Implemented in RDKit::TopologicalTorsion::TopologicalTorsionAtomEnv< OutputType >, RDKit::MorganFingerprint::MorganAtomEnv< OutputType >, RDKit::AtomPair::AtomPairAtomEnv< OutputType >, and RDKit::RDKitFP::RDKitFPAtomEnv< OutputType >.

The documentation for this class was generated from the following file:

- FingerprintGenerator.h